Skip to main content
GET
/
v2
/
aether
/
playbook
/
extractions
List Extractions
curl --request GET \
  --url https://api.example.com/v2/aether/playbook/extractions \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "error": "<string>",
    "extraction_type": "file",
    "dedup_count": 123,
    "input_count": 123,
    "knowledge_count": 123,
    "memory_count": 123,
    "processed_count": 123,
    "progress": {},
    "proposal_count": 123,
    "file": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "mime_type": "<string>",
      "bucket": "<string>",
      "object_key": "<string>",
      "upload_url": "<string>",
      "size": 123
    },
    "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string> | null
Available options:
pending,
extracting,
deduping,
enriching,
synthesizing,
complete,
failed

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
completed_at
string<date-time> | null
required

When processing finished

created_by
string | null
required

User who initiated the run

collection
enum<string> | null
required

Target collection

Available options:
cash_application,
collections,
company,
credit_risk,
deductions,
disputes,
payments
error
string | null
required

Error message if failed

extraction_type
enum<string>
default:file
required
Available options:
file,
onboarding,
synthesis
status
enum<string>
required

Current pipeline status

Available options:
pending,
extracting,
deduping,
enriching,
synthesizing,
complete,
failed
dedup_count
integer | null
required

Items removed by dedup

input_count
integer | null
required

Total items to process

knowledge_count
integer | null
required

Knowledge items produced

memory_count
integer | null
required

Memories extracted

processed_count
integer | null
required

Sources processed so far

progress
object
required

Per-stage progress

proposal_count
integer | null
required

Proposals created

file
File · object
required
file_id
string<uuid> | null
required